import 'dart:html';



class Canvas {
  Canvas({
    this.canvasSelector = '#canvas',
    this.backgroundColor = '#000000',
  }) {
    element = querySelector(canvasSelector);
    ctx = element.getContext('2d');
    clear();
  }

  final String canvasSelector;
  final String backgroundColor;

  CanvasElement element;
  CanvasRenderingContext2D ctx;

  void clear() {
    ctx.fillStyle = backgroundColor;
    ctx.fillRect(0, 0, element.width, element.height);
  }
}