import 'dart:html';
import 'dart:async';



class Loop {
  Loop({
    this.speed,
    this.frame
  });

  final num speed;
  final Function frame;

  num _lastTimeStamp;

  Future start() async {
    while(true) {
      update(await window.animationFrame);
    }
  }

  void update(num delta) {
    if (delta - _lastTimeStamp > speed) {
      _lastTimeStamp = delta;
      frame();
    }
  }
}